package com.gx.obe.opening.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.opening.composite.BidOpeningHallComposite;

/** 
 * @Description: 进入项目开标
 * @author guoyr 
 */
public class BidOpeningHallAction extends Action{

	@Override
	public void run() {
		ActionListener listener = this.getListener();
		if(null != listener){
			listener.onLoad(this);
			Composite parent = listener.getParentComposite();
			listener.loadComposite(this, new BidOpeningHallComposite(parent, this, SWT.NONE));
		}
	}

}
