package com.gx.obe.opening.action;

import org.eclipse.swt.SWT;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.opening.composite.TenderProjectEnterMenuComposite;
import com.gx.obe.web.entity.tender.TenderProjectEntity;

/** 
 * @Description: 开标工具进入项目事件
 * @author guoyr 
 */
public class EnterProjectAction extends Action {
	public void run(){
		
		TenderProjectEntity tenderProjectEntity = this.getTenderProject();
		ActionListener listener = this.getListener();
		if(null != tenderProjectEntity && null != listener){
			listener.onLoad(this);
//			TenderProjectEnterComposite tenderProjectEnterComposite = new TenderProjectEnterComposite(listener.getParentComposite(), tenderProjectEntity, listener, SWT.NONE);
			TenderProjectEnterMenuComposite tenderProjectEnterComposite = new TenderProjectEnterMenuComposite(listener.getParentComposite(), tenderProjectEntity, listener, SWT.NONE);
			listener.loadComposite(this, tenderProjectEnterComposite);
		}
	}
}
