package com.gx.obe.opening.action;

import org.eclipse.swt.SWT;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.opening.composite.SubTenderProjectEnterMenuComposite;

/** 
 * @Description: 进入子包件事件
 * @author guoyr 
 */
public class EnterSubPackageAction extends Action{

	@Override
	public void run() {
		ActionListener topActionListener = this.getListener();
		if(null != topActionListener){
			topActionListener.onLoad(this);
//			SubTenderProjectEnterComposite subPackageEnterComposite = new SubTenderProjectEnterComposite(topActionListener.getParentComposite(), (TenderProjectEntity)this.getData("tenderProjectEntity"), topActionListener, SWT.NONE);
			SubTenderProjectEnterMenuComposite subPackageEnterComposite = new SubTenderProjectEnterMenuComposite(topActionListener.getParentComposite(), this.getTenderProject(), topActionListener, SWT.NONE);
			topActionListener.loadComposite(this, subPackageEnterComposite);
		}
	}

}
