package com.gx.obe.opening.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.common.composite.BidOpeningResultLoadComposite;

/** 
 * @Description: 开标结果
 * @author guoyr 
 */
public class LoadBidOpeningResultAction extends Action{

	@Override
	public void run() {
		ActionListener listener = this.getListener();
		listener.onLoad(this);
		Composite parent = listener.getParentComposite();
		BidOpeningResultLoadComposite composite = new BidOpeningResultLoadComposite(parent, this, SWT.NONE);
		listener.loadComposite(this, composite);
	}

}
