package com.gx.obe.opening.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.report.composite.EvaluationReportComposite;
import com.gx.obe.template.enumeration.TemplateTypeEnum;

/** 
 * @Description: 生成报表
 * @author guoyr 
 */
public class LoadEvaluationReportAction extends Action{

	@Override
	public void run() {
		ActionListener listener = this.getListener();
		listener.onLoad(this);
		Composite parent = listener.getParentComposite();
		parent.setData("tenderProjectEntity", this.getTenderProject());
		parent.setData("roleType", EvaluationReportComposite.REPORT_BID_OPENING);
		parent.setData("menu", this.getMenu());
		EvaluationReportComposite composite = new EvaluationReportComposite(parent, this,SWT.NONE);
		composite.setInitData(this.getTenderProject(), TemplateTypeEnum.OPEN_BID.getKey());
		listener.loadComposite(this, composite);
		
//		EvaluationReportComposite evaluationReportComposite = new EvaluationReportComposite(this.getParent(), SWT.NONE);
//		evaluationReportComposite.setInitData((TenderProjectEntity)this.getData("tenderProjectEntity"), null, null);
	}

}
