package com.gx.obe.opening.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.common.composite.SupplierSignManagerComposite;

/** 
 * @Description: 投标人签到界面进入事件
 * @author guoyr 
 */
public class LoadSupplierSignAction extends Action{

	@Override
	public void run() {
		ActionListener listener = this.getListener();
		listener.onLoad(this);
		Composite parent = listener.getParentComposite();
		parent.setData("tenderProjectEntity", this.getTenderProject());
		parent.setData("menu", this.getMenu());
		SupplierSignManagerComposite composite = new SupplierSignManagerComposite(parent, this, SWT.NONE);
		listener.loadComposite(this, composite);
	}
}
