package com.gx.obe.opening.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Control;

import com.gx.obe.action.bean.Action;
import com.gx.obe.opening.composite.TenderProjectListComposite;

/** 
 * @Description: 加载开标主界面项目列表事件
 * @author guoyr 
 */
public class MyProjectAction extends Action {
	public void run(){
		Composite composite = (Composite)this.getData("parentComposite");
		Control[] controls =  composite.getChildren();
		for(Control control : controls ){
			control.dispose();
		}
		new TenderProjectListComposite(composite, this.getMenu(), SWT.NONE);
		composite.layout();
//		}
	}
}
