package com.gx.obe.opening.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.opening.composite.SubPackageListComposite;

/** 
 * @Description: 进入项目事件（包含包件项目）
 * @author guoyr 
 */
public class SubPackageLoadAction extends Action{

	@Override
	public void run() {
		ActionListener listener = this.getListener();
		listener.onLoad(this);
		Composite parent = listener.getParentComposite();
		parent.setData("parentProject", this.getData("parentProject"));
		parent.setData("livingProjectListener", this.getData("livingProjectListener"));
		SubPackageListComposite composite = new SubPackageListComposite(parent,this, SWT.NONE);
		// 设置顶级的事件监听
		composite.addTopActionListener((ActionListener)this.getData("topActionListener"));
		listener.loadComposite(this, composite);
		
	}

}
