package com.gx.obe.opening.listener;

import java.util.List;
import java.util.Map;

import com.gx.obe.web.entity.tender.TenderProjectEntity;
import com.gx.obe.web.vo.TenderPackOpeningInfo;

public interface BatchRemoteBidOpeningListener {
	
	/**
	 * @Description: 刷新包件的上传开标结果（完成开标、远程唱标）结果
	 * @author guoyr
	 * @param tenderPackOpeningInfo 
	 */
	public void refreshUploadComplateInfo(TenderPackOpeningInfo tenderPackOpeningInfo);
	
	/**
	 * @Description: 刷新包件的远程开标结果
	 * @author guoyr
	 * @param tenderPackOpeningInfo 
	 */
	public void refreshBidOpeningStatusInfo(TenderPackOpeningInfo tenderPackOpeningInfo);
	
	/**
	 * @Description: 刷新包件的信息
	 * @author guoyr
	 * @param tenderPackOpeningInfo 
	 */
	public void refreshTenderPackInfo(TenderProjectEntity tenderPack);
	
	public void clickTenderPackInfo(TenderPackOpeningInfo tenderPackOpeningInfo);
	
	public void initRefreshTenderPackList(List<TenderPackOpeningInfo> tenderPackOpeningInfoList);
//	public void refreshProjectBidOpeningCount(int tenderPackCount, int signComplateCount, int decComplateCount, int confirmComplateCount, int complateCount);
	public void refreshTenderPackBidOpeningInfo(Map<String, TenderPackOpeningInfo> tenderPackOpeningInfoMap);

}
