package com.gx.obe.opening.listener;

import com.gx.obe.web.vo.TenderPackOpeningInfo;

/** 
 * @Description: 批量远程解密
 * @author guoyr 
 */
public interface BatchRemoteDecryptListener {

//	/**
//	 * @Description: 刷新可开标的家次
//	 * @author guoyr
//	 * @param openingCount 
//	 */
//	public void refreshOpeningInfo(TenderPackOpeningInfo tenderPackOpeningInfo);
	/**
	 * @Description: 刷新包件的远程解密结果
	 * @author guoyr
	 * @param tenderPackOpeningInfo 
	 */
	public void refreshDescInfo(TenderPackOpeningInfo tenderPackOpeningInfo);
	
	/**
	 * @Description: 是否天在下载开标信息中
	 * @author guoyr
	 * @param isDownloading 
	 */
	public void setDownloadBidopeningInfo(boolean isDownloading);
	
	/**
	 * @Description: 解密完成
	 * @author guoyr
	 * @param decryptCount
	 * @param decryptFailCount
	 * @param message 
	 */
	public void decryptComplate(int decryptCount, int decryptFailCount, int noPriceCount);
}
