package com.gx.obe.opening.listener;

import com.gx.obe.web.entity.Supplier;

public interface BidOpeningListener{
	
	/**
	 * @Description: 投标人单独开标
	 * @author guoyr
	 * @param supplier
	 * @param listener
	 */
	public void singleOpenBid(Supplier supplier, boolean decBusinessBid, boolean decTechnologyBid, boolean decPriceBid, DecryptBidFileProgressListener listener);
	
	/**
	 * @Description: 刷新投标人
	 * @author guoyr
	 */
	public void refreshSupplier();
	
	/**
	 * @Description: 刷新时间
	 * @author guoyr 
	 */
	public void refreshTime();

}
