package com.gx.obe.opening.listener;

import com.gx.obe.web.entity.tender.TenderProjectEntity;

/** 
 * @Description: 项目直播监听
 * @author guoyr 
 */
public interface LivingProjectListener {
	/**
	 * @Description: 进入项目直播
	 * @author guoyr
	 * @param tenderProjectEntity 
	 */
	public void livingProject(TenderProjectEntity tenderProjectEntity);
	/**
	 * @Description: 获取当前直播状态：正在直播或者未直播
	 * @author guoyr
	 * @return 
	 */
	public boolean getLivingStatus();
	
	/**
	 * @Description: 退出直播
	 * @author guoyr 
	 */
	public void stopLivingProject();
	
	
}
