package com.gx.obe.opening.listener;

public interface LivingStatusListener {
	/**
	 * @Description: 设置直播按钮状态
	 * @author guoyr
	 * @param showVideoLiving
	 * @param showDesktopLiving
	 * @param switchMain
	 * @param recordingVideoFlag
	 * @param recordingDesktopFlag 
	 */
	public void setStatus(boolean showVideoLiving, boolean showDesktopLiving, boolean switchMain, boolean recordingVideoFlag , boolean recordingDesktopFlag, boolean livingCompositeIsShow);
	/**
	 * @Description: 设置直播界面显示隐藏
	 * @author guoyr
	 * @param isShow 
	 */
	public void showOrHideLivingComposite(boolean isShow);
}
