package com.gx.obe.opening.listener;

import java.util.Date;

import com.gx.obe.web.entity.Supplier;

public interface RemoteSupplierListener {

	public Supplier getSupplier();
	public void refreshOnlineStatus(String onlineStatus);
	public void setShowSignInfoStatus(boolean showSignInfoStatus);
	
	public void setShowComfirmStatus(boolean showConfrim);
	
	public void setShowPriceStatus(boolean showPriceStatus);
	
	public void refreshConfirmInfo(Date confirmTime, String confirmStatus);
	
	public void refreshSignInfo(Date signTime, String signPerson, String signPersonTel, String signPersonCard);
	
	public void refreshBidOpeningStatus(Supplier supplier, String bidopeningStage, String businessBidStatus, String technologyBidStatus, String priceBidStatus, boolean hasBidPrice);
	
	public void showStatus();
	
	public void showProgress();
	
	public String getBusinessBidStatus();
	
	public String getTechnologyBidStatus();

	public String getPriceBidStatus();
	
	public boolean isDescryComplate();
	public int getRowHeight();
	
	public void setRowHeight(int height);
}
