package com.gx.obe.opening.listener;

import java.util.List;

import com.gx.obe.web.entity.Supplier;
import com.gx.obe.web.vo.TenderPackOpeningInfo;

public interface SupplierRemoteBidOpeningListener {

	/**
	 * @Description: 刷新已投标的供应商
	 * @author guoyr
	 * @param supplierList 
	 */
	public void refreshSupplierList(List<Supplier> supplierList);
	
	/**
	 * @Description: 刷新远程解密结果
	 * @author guoyr
	 * @param tenderPackOpeningInfo 
	 */
	public void refreshDescInfo(TenderPackOpeningInfo tenderPackOpeningInfo);
	
//	/**
//	 * @Description: 刷新包件的远程解密结果
//	 * @author guoyr
//	 * @param tenderPackOpeningInfo 
//	 */
//	public void refreshDescInfo(TenderPackOpeningInfo tenderPackOpeningInfo);
//	
//	/**
//	 * @Description: 刷新包件的上传开标结果（完成开标、远程唱标）结果
//	 * @author guoyr
//	 * @param tenderPackOpeningInfo 
//	 */
//	public void refreshUploadComplateInfo(TenderPackOpeningInfo tenderPackOpeningInfo);
//	
////	/**
////	 * @Description: 刷新包件的远程开标结果
////	 * @author guoyr
////	 * @param tenderPackOpeningInfo 
////	 */
////	public void refreshBidOpeningStatusInfo(TenderPackOpeningInfo tenderPackOpeningInfo);
//	
//	/**
//	 * @Description: 刷新包件的信息
//	 * @author guoyr
//	 * @param tenderPackOpeningInfo 
//	 */
//	public void refreshTenderPackInfo(TenderProjectEntity tenderPack);
//	
//	public void clickTenderPackInfo(TenderPackOpeningInfo tenderPackOpeningInfo);
//	
//	/**
//	 * @Description: 是否天在下载开标信息中
//	 * @author guoyr
//	 * @param isDownloading 
//	 */
//	public void setDownloadBidopeningInfo(boolean isDownloading);
//	
//	public void initRefreshTenderPackList(List<TenderPackOpeningInfo> tenderPackOpeningInfoList);
////	public void refreshProjectBidOpeningCount(int tenderPackCount, int signComplateCount, int decComplateCount, int confirmComplateCount, int complateCount);
//	public void refreshTenderPackBidOpeningInfo(Map<String, TenderPackOpeningInfo> tenderPackOpeningInfoMap);
	
}
