package com.gx.obe.opening.widgets;

import org.eclipse.swt.SWT;
import org.eclipse.swt.core.widgets.ImageButton;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.ColorConstants;
import com.swtdesigner.SWTResourceManager;


/** 
 * @Description: 开标操作按钮
 * @author guoyr 
 */
public class BidopeningOpButton extends ImageButton{

	public BidopeningOpButton(Composite parent, int style) {
		super(parent, style | SWT.CENTER | SWT.BOTTOM);
		this.setTopMargin(5);
		this.setBottomMargin(5);
		this.setLeftMargin(5);
		this.setRightMargin(5);
		
		this.setForeground(ColorConstants.SKIN_BG);
		this.setFont(SWTResourceManager.getFont("微软雅黑", 10, SWT.NORMAL));
//		this.setSelectionBorderColor(SWTResourceManager.getColor(77, 163, 19));
		this.setSurroundColor(ColorConstants.SKIN_BG);
		this.setSurroundMargin(8);
		this.setSurroundBorder(2);
//		this.setSurroundColor(SWTResourceManager.getColor(77, 163, 19));// 绿色
//		this.setSurroundColor(SWTResourceManager.getColor(60, 138, 226));// 蓝色
		
		this.setActiveForeground(ColorConstants.SKIN_BG);
		this.setActiveSurroundMargin(10);
		this.setActiveSurroundBorder(3);
		this.setActiveSurroundColor(ColorConstants.SKIN_BG);
//		this.setActiveSurroundColor(SWTResourceManager.getColor(255, 153, 0));// 橙色
		
//		this.setSelectionForeground(SWTResourceManager.getColor(60, 138, 226));
//		this.setSelectionForeground(SWTResourceManager.getColor(255, 153, 0));
//		this.setSelectionBgColor(SWTResourceManager.getColor(215, 235, 215));
//		this.setSelectionSurroundColor(SWTResourceManager.getColor(77, 163, 19));// 绿色
		this.setGAP(3);
//		this.setDisenableColor(SWTResourceManager.getColor(210, 210, 210));
		this.setFillSurround(false);
//		this.setArcWidth(6);
//		setLayoutData(new GridData(SWT.FILL, SWT.CENTER, true, false, 1, 1));
	}

}
