package com.gx.obe.opening.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.opening.composite.BidOpeningRuleComposite;

/** 
 * @Description: 包含 子包件项目，进入项目事件
 * @author guoyr 
 */
public class BidOpeningRuleAction extends Action{

	@Override
	public void run() {
		ActionListener listener = this.getListener();
		listener.onLoad(this);
		Composite parent = listener.getParentComposite();
		parent.setData("tenderProjectEntity", this.getTenderProject());
		parent.setData("menu", this.getMenu());
		BidOpeningRuleComposite composite = new BidOpeningRuleComposite(parent, this, SWT.NONE);
		listener.loadComposite(this, composite);
	}

}
