package com.gx.obe.opening.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.opening.composite.TenderProjectListComposite;

/** 
 * @Description: 项目 管理首页
 * @author guoyr 
 */
public class HomeAction extends Action {
	public void run(){
		ActionListener listener = this.getListener();
		if(null != listener){
			listener.onLoad(this);
			Composite composite = listener.getParentComposite();
			composite.setData("livingProjectListener", this.getData("livingProjectListener"));
			listener.loadComposite(this, new TenderProjectListComposite(composite, this.getMenu(), SWT.NONE));
		}
	}
}
