package com.gx.obe.opening.action;

import org.eclipse.swt.SWT;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.opening.composite.LeftSubMenuComposite;
import com.gx.obe.web.entity.tender.TenderProjectEntity;

/** 
 * @Description: 子菜单事件
 * @author guoyr 
 */
public class LeftSubMenuAction extends Action {
	public void run(){
		
		TenderProjectEntity tenderProjectEntity = this.getTenderProject();
		ActionListener listener = this.getListener();
		listener.onLoad(this);
		LeftSubMenuComposite leftSubMenuComposite = new LeftSubMenuComposite(listener.getParentComposite(), SWT.NONE);
		leftSubMenuComposite.init(tenderProjectEntity, this.getMenu());
		listener.loadComposite(this, leftSubMenuComposite);
	
	}
}
