package com.gx.obe.opening.action;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.common.file.composite.DownLoadEncBidFileComposite;

/** 
 * @Description: 下载投标文件事件
 * @author guoyr 
 */
public class LoadDownloadBidFileAction extends Action{

	@Override
	public void run() {
		ActionListener listener = this.getListener();
		listener.onLoad(this);
		Composite parent = listener.getParentComposite();
		parent.setData("tenderProjectEntity", this.getTenderProject());
		parent.setData("menu", this.getMenu());
		DownLoadEncBidFileComposite composite = new DownLoadEncBidFileComposite(parent, this, SWT.NONE);
		listener.loadComposite(this, composite);
		composite.addActionListener(listener);
	}

}
