package com.gx.obe.opening.listener;

import com.gx.obe.web.vo.TenderPackOpeningInfo;

/** 
 * @Description: 批量远程解密
 * @author guoyr 
 */
public interface BatchRemoteComplateAndUploadListener {

	/**
	 * @Description: 刷新包件的上传开标结果（完成开标、远程唱标）结果
	 * @author guoyr
	 * @param tenderPackOpeningInfo 
	 */
	public void refreshUploadComplateInfo(TenderPackOpeningInfo tenderPackOpeningInfo);
	
	public void finishComplateAndUpload(int successCount, int failCount);
	
	public void showMessage(int flag, String message);
}
