package com.gx.obe.opening.listener;

public interface LivingListener {
	/**
	 * @Description: 录制现场
	 * @author guoyr 
	 */
	public void recordingVideoOrStopAction(String savePath, boolean flag);
	/**
	 * @Description: 录制桌面
	 * @author guoyr 
	 */
	public void recordingDesktopOrStopAction(String savePath, boolean flag);
	/**
	 * @Description: 桌面直播显示与隐藏
	 * @author guoyr
	 * @param hideOrShowCamera 
	 */
	public void startOrStopDesktop(boolean showDesktopLiving);
	/**
	 * @Description: 显示或隐藏现场直播
	 * @author guoyr
	 * @param hideOrShowCamera 
	 */
	public void startOrStopCamera(boolean showVideoLiving);
	
	/**
	 * @Description: 视频与桌面之间切换
	 * @author guoyr 
	 */
	public void switchAction(boolean switchMain);
	
	/**
	 * @Description: 是否显示预览
	 * @author guoyr
	 * @param visible 
	 */
	public void setViewVisible(boolean visible);
	
	/**
	 * @Description: 强制停止直播
	 * @author guoyr 
	 */
	public void forceStopCamera();
	
	
	/**
	 * @Description: 强制停止录制
	 * @author guoyr 
	 */
	public void forceStopRecordCamera();
	/**
	 * @Description: 强制停止直播
	 * @author guoyr 
	 */
	public void forceStopDesktop();
	
	
	/**
	 * @Description: 强制停止录制
	 * @author guoyr 
	 */
	public void forceStopRecordDesktop();
}
