package com.gx.obe.opening.thread;

import com.gx.obe.listener.BidPriceResolveListener;
import com.gx.obe.opening.listener.DecryptBidFileProgressListener;
import com.gx.obe.web.entity.Supplier;
import com.gx.obe.web.entity.tender.TenderProjectEntity;
import com.gx.obe.web.entity.tender.TenderProjectRuleEntity;

public class DecryptBidFileParam {
	
	TenderProjectEntity tenderProjectEntity;
	TenderProjectRuleEntity tenderProjectRuleEntity;
	Supplier supplier;
	DecryptBidFileProgressListener decryptListener;
	BidPriceResolveListener bidPriceResolveListener;
	boolean decBusinessBid;
	boolean decTechnologyBid;
	boolean decPriceBid;
	
	public DecryptBidFileParam(TenderProjectEntity tenderProjectEntity, TenderProjectRuleEntity tenderProjectRuleEntity, Supplier supplier, boolean decBusinessBid, boolean decTechnologyBid, boolean decPriceBid, DecryptBidFileProgressListener decryptListener, BidPriceResolveListener bidPriceResolveListener){
		this.tenderProjectEntity = tenderProjectEntity;
		this.tenderProjectRuleEntity = tenderProjectRuleEntity;
		this.supplier = supplier;
		this.decBusinessBid = decBusinessBid;
		this.decTechnologyBid = decTechnologyBid;
		this.decPriceBid = decPriceBid;
		this.decryptListener = decryptListener;
		this.bidPriceResolveListener = bidPriceResolveListener;
	}

	public DecryptBidFileProgressListener getDecryptListener() {
		return decryptListener;
	}

	public Supplier getSupplier() {
		return supplier;
	}

	public boolean isDecBusinessBid() {
		return decBusinessBid;
	}

	public void setDecBusinessBid(boolean decBusinessBid) {
		this.decBusinessBid = decBusinessBid;
	}

	public boolean isDecTechnologyBid() {
		return decTechnologyBid;
	}

	public void setDecTechnologyBid(boolean decTechnologyBid) {
		this.decTechnologyBid = decTechnologyBid;
	}

	public boolean isDecPriceBid() {
		return decPriceBid;
	}

	public void setDecPriceBid(boolean decPriceBid) {
		this.decPriceBid = decPriceBid;
	}
	
	
	
}
