package com.gx.obe.opening.widgets;

import org.eclipse.swt.SWT;
import org.eclipse.swt.core.widgets.EButton;
import org.eclipse.swt.core.widgets.ImageButton;
import org.eclipse.swt.widgets.Composite;

import com.gx.obe.ColorConstants;
import com.swtdesigner.SWTResourceManager;


/** 
 * @Description: 开标操作按钮
 * @author guoyr 
 */
public class RoomOperatorButton extends ImageButton{

	public RoomOperatorButton(Composite parent, int style) {
		super(parent, style | SWT.TRANSPARENT);
//		this.setTopMargin(5);
//		this.setBottomMargin(5);
//		this.setLeftMargin(5);
//		this.setRightMargin(5);
//		this.setBorderColor(ColorConstants.SKIN_BG);
//		this.setActiveBorderColor(ColorConstants.SKIN_ACTIVE_BG);
//		this.setForeground(ColorConstants.SKIN_BG);
//		this.setFont(SWTResourceManager.getFont("微软雅黑", 10, SWT.NORMAL));
		
		this.setTopMargin(5);
		this.setBottomMargin(5);
		this.setLeftMargin(5);
		this.setRightMargin(5);
//		this.setArcWidth(6);
//		this.setBackground(ColorConstants.SKIN_BG);
//		this.setBorderColor(null);
//		this.setActiveBgColor(ColorConstants.SKIN_ACTIVE_BG);
//		this.setFont(SWTResourceManager.getFont("微软雅黑", 10, SWT.NORMAL));
//		this.setForeground(SWTResourceManager.getColor(SWT.COLOR_WHITE));
		
//		this.setBackground(ColorConstants.SKIN_BG);
//		this.setBorderColor(null);
//		this.setActiveBgColor(ColorConstants.SKIN_ACTIVE_BG);
//		this.setForeground(SWTResourceManager.getColor(SWT.COLOR_WHITE));
		this.setBorderColor(ColorConstants.SKIN_BG);
//		this.setActiveBorderColor(ColorConstants.SKIN_ACTIVE_BG);
		this.setActiveBgColor(ColorConstants.SKIN_BG);
		if((style & EButton.CSS_BLUE) != 0){
			this.setForeground(ColorConstants.SKIN_FOREGROUND);
			this.setBackground(ColorConstants.SKIN_BG);
			this.setBorderColor(ColorConstants.SKIN_BG);
			this.setActiveBgColor(ColorConstants.SKIN_ACTIVE_BG);
		}
		
		this.setSurroundMargin(3);
//		this.setSurroundColor(SWTResourceManager.getColor(SWT.COLOR_WHITE));
		this.setFillSurround(false);
		this.setActiveSurroundColor(SWTResourceManager.getColor(SWT.COLOR_WHITE));
		this.setFont(SWTResourceManager.getFont("微软雅黑", 10, SWT.NORMAL));
		this.setMinWidth(80);
	}

}
